Page MenuHomePhabricator

[Story] allow editing of more languages in the in other languages box than the ones defined via babel boxes
Closed, ResolvedPublic

Description

The in other languages box allows editing labels, descriptions and aliases in the languages defined by the user's babel boxes. We should allow editing more languages there. Currently this is solved via the label lister gadget. Ideally we would be able to get rid of it completely and have its functionality built-in.

Conceptually we have several levels of languages to edit:

  • the current interface language
  • all languages defined in babel boxes
  • all languages that the item currently has some label/description/alias for
  • all languages Wikidata supports

Initially we will not cater to the last one. We make it possible to get to all languages that have at least one label, description or alias set via a "more" link or button.

Event Timeline

Lydia_Pintscher updated the task description. (Show Details)
Lydia_Pintscher raised the priority of this task from to Normal.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 15 2015, 8:48 AM

One possible solution: The use-case of "adding information for languages not in my babel boxes and not already filled out to at least a minimal part" is very uncommon. Then we can decide not to cater to it and just cover the first 3. Then a "more" button could do.

Denny added a subscriber: Denny.Mar 16 2015, 4:44 PM

But maybe name it "More", "Even more", "All" ;)

Pengo added a subscriber: Pengo.Mar 24 2015, 8:48 PM
Laddo added a subscriber: Laddo.Mar 30 2015, 1:50 PM

"All" is easy, "More" hard. Cf. https://www.mediawiki.org/wiki/Talk:Universal_Language_Selector/Design/Interlanguage_links#User-specific_language_selection

If the main use case is showing (and editing) a specific language or family of languages, the jquery.uls panel may help. https://commons.wikimedia.org/wiki/File:ULS_Language_list.png

Bene added a subscriber: Bene.Apr 6 2015, 1:14 PM

We could also have an input field to enter a language and a "Show in this language" button.

Another option would be a "more" link (cf third point) and an "add" button to enter a label for a language which does not exist yet on that item, which would require a language input field as well.

We could also have an input field to enter a language and a "Show in this language" button.

jquery.uls provides this.

Ok in order to get this unstuck we will go ahead with a "more" solution for now. This means we have a button or link that expands the table by the languages that have at least one label, description or alias set.

Lydia_Pintscher set Security to None.
Lydia_Pintscher renamed this task from allow editing of more languages in the in other languages box than the ones defined via babel boxes to [Story] allow editing of more languages in the in other languages box than the ones defined via babel boxes.Nov 10 2015, 3:41 PM
Lydia_Pintscher added a project: Story.
Bene claimed this task.Nov 24 2015, 10:08 AM

Change 256196 had a related patch set uploaded (by Bene):
Add a "more" link to show all languages available

https://gerrit.wikimedia.org/r/256196

Bene moved this task from Review to Doing on the Wikidata-Sprint-2015-12-01 board.Dec 1 2015, 2:37 PM

Should this work without JS as well (hint: I think it should).

@adrianheine do you have an idea how we can make it work without JS?

@Lydia_Pintscher: Not really. We would probably have to include all terms in static HTML. If we want to ditch wbEntity, we need to do that anyway. It might also improve Google results?

Special:SetAllLabelsDescriptionsAliases/Q1?

Bene added a comment.Dec 7 2015, 4:16 PM

@Ricordisamoa this ticket is specifically about the "in other languages" box shown on the item pages.

@Ricordisamoa this ticket is specifically about the "in other languages" box shown on the item pages.

I am proposing a new special page

The special page would be a way to support this without JS.

The site is basically broken without this functionality.

Until it's fixed, please at least let the user at least view all language labels, descriptions and aliases. Add a "more" link to a separate page that just lists them if that's a faster way to do it. But don't wait until you have the perfect solution implemented before letting users just view the existing labels.

Really, Wikidata just looks like it's broken when you go to a page that shows no label at all with no explanation of why not.

As I mentioned previously on a related thread, I believed Wikidata to still be some kind of beta test project for many years because of the obviously lacking basic information that was not shown. And it still feels like it because of this issue.

The site is basically broken without this functionality.

True. Wikidata's multilingualism is something that most knowledge bases can only dream about (something similar is envisioned in multiple documents about international best practices, but rarely implemented). However, language selection is very, very hard.

That's why I maintain that Wikidata should use the UniversalLanguageSelector, so that we can join forces on a solution powerful enough for this extremely hard task. T122000: Access user language preferences (including Babel) via standard API is related.

Jonas removed Bene as the assignee of this task.Jan 21 2016, 11:49 AM

Change 256195 had a related patch set uploaded (by Bene):
Use Fingerprint in entitytermsview

https://gerrit.wikimedia.org/r/256195

Jonas assigned this task to thiemowmde.

Change 256195 merged by jenkins-bot:
Use Fingerprint in entitytermsview

https://gerrit.wikimedia.org/r/256195

Change 256196 merged by jenkins-bot:
Add a "more" link to show all languages available

https://gerrit.wikimedia.org/r/256196

Change 266501 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Refactor "more" languages code in entitytermsforlanguagelistview

https://gerrit.wikimedia.org/r/266501

Change 266501 merged by jenkins-bot:
Refactor "more" languages code in entitytermsforlanguagelistview

https://gerrit.wikimedia.org/r/266501

Change 267043 had a related patch set uploaded (by Jonas Kress (WMDE)):
Introduce _hasMoreLanguages method

https://gerrit.wikimedia.org/r/267043

Change 267047 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Fix broken title preview due to value() now returning a Fingerprint

https://gerrit.wikimedia.org/r/267047

Change 267047 merged by jenkins-bot:
Fix broken title preview due to value() now returning a Fingerprint

https://gerrit.wikimedia.org/r/267047

Jonas closed this task as Resolved.
Jonas moved this task from Review to Done on the Wikidata-Sprint-2016-01-19 board.
matej_suchanek awarded a token.
matej_suchanek removed a subscriber: gerritbot.